# This should be pushed to tainted as per Mageia's policy on emulators

%define major   2
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           mupen64plus
Version:        2.5
Release:        %mkrel 8
Summary:        Nintendo 64 Emulator (console frontend)
License:        GPLv2+ and LGPLv2+
Group:          Emulators
URL:            https://www.mupen64plus.org
Source0:        https://github.com/mupen64plus/mupen64plus-core/releases/download/%{version}/%{name}-bundle-src-%{version}.tar.gz
Patch1:         mupen64plus-2.0-mga-suse-use-system-font.patch
Patch2:         mupen64plus-aarch64.patch
BuildRequires:  boost-devel
BuildRequires:  lirc-devel
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(speexdsp)
BuildRequires:  pkgconfig(samplerate)
Requires:       fonts-ttf-dejavu
Requires:       %{libname} = %{version}-%{release}

%description
Mupen64Plus is a cross-platform plugin-based Nintendo 64 emulator which is
capable of accurately playing many games. Included are four MIPS R4300 CPU
emulators, with dynamic recompilers for 32-bit x86 and 64-bit amd64 systems,
and necessary plugins for audio, graphical rendering (RDP), signal
co-processor (RSP), and input.

%files
%doc source/mupen64plus-core/{LICENSES,README,RELEASE}
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man6/%{name}.6*

#----------------------------------------------------------------------------

%package -n     %{libname}
Summary:        Main library for Mupen64Plus Nintendo 64 Emulator
Group:          System/Libraries
Recommends:       m64py

%description -n %{libname}
Mupen64Plus is a cross-platform plugin-based Nintendo 64 emulator which is
capable of accurately playing many games. Included are four MIPS R4300 CPU
emulators, with dynamic recompilers for 32-bit x86 and 64-bit amd64 systems,
and necessary plugins for audio, graphical rendering (RDP), signal
co-processor (RSP), and input.

This package contains the shared library interface for Mupen64Plus frontends
and all plugins from the upstream project.

%files -n       %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*
%{_libdir}/%{name}/

#----------------------------------------------------------------------------

%package -n     %{devname}
Summary:        Development headers for Mupen64Plus Nintendo 64 Emulator
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}

%description -n %{devname}
Mupen64Plus is a cross-platform plugin-based Nintendo 64 emulator which is
capable of accurately playing many games. Included are four MIPS R4300 CPU
emulators, with dynamic recompilers for 32-bit x86 and 64-bit amd64 systems,
and necessary plugins for audio, graphical rendering (RDP), signal
co-processor (RSP), and input.

This package contains all necessary include files to develop frontends
against the Mupen64Plus shared library interface.

%files -n       %{devname}
%doc source/mupen64plus-core/doc/emuwiki-api-doc
%doc source/mupen64plus-core/doc/new_dynarec.txt
%{_includedir}/%{name}/

#----------------------------------------------------------------------------

%prep
%setup -q -n %{name}-bundle-src-%{version}
%autopatch -p1
# We use the system's font instead of the shipped one
rm source/mupen64plus-core/data/font.ttf

%build
OPTFLAGS="%{optflags}" \
./m64p_build.sh PLUGINDIR=%{_libdir}/%{name} \
                PIC=1 \
                LIRC=1 \
%ifnarch %{ix86} x86_64
                NO_SSE=1 \
%endif
%ifarch armv7hl
                VFP_HARD=1 \
%endif
                %{_smp_mflags}

%install
./m64p_install.sh DESTDIR=%{buildroot} \
                  PREFIX=%{_prefix} \
                  LIBDIR=%{_libdir} \
                  MANDIR=%{_mandir} \
                  INSTALL_STRIP_FLAG=''


%changelog
* Fri Oct 19 2018 wally <wally> 2.5-8.mga7
+ Revision: 1322311
- add patch for aarch64 support
- rebuild for new boost 1.68.0

* Thu Sep 20 2018 umeabot <umeabot> 2.5-7.mga7.tainted
+ Revision: 1279987
- Mageia 7 Mass Rebuild

* Mon Dec 25 2017 wally <wally> 2.5-6.mga7.tainted
+ Revision: 1184689
- rebuild for new boost

* Tue Nov 21 2017 tv <tv> 2.5-5.mga7.tainted
+ Revision: 1178335
- rebuild for boost 1.65

* Sun Sep 24 2017 daviddavid <daviddavid> 2.5-4.mga7.tainted
+ Revision: 1158413
- use our compile flags thus fixing empty debugsourcefiles.list
- rebuild for new boost 1.64.0

* Sun Oct 16 2016 pterjan <pterjan> 2.5-3.mga6.tainted
+ Revision: 1061069
- Do not disable SSE on x86_64

* Sat Oct 15 2016 pterjan <pterjan> 2.5-2.mga6.tainted
+ Revision: 1061001
- Disable SSE on !x86
- Set VFP_HARD on armv7hl to get it to start building

* Sat Jan 09 2016 akien <akien> 2.5-1.mga6.tainted
+ Revision: 920830
- Version 2.5
- Do not strip binaries, reenable debuginfo

* Sat Dec 26 2015 daviddavid <daviddavid> 2.0-11.mga6.tainted
+ Revision: 915427
- rebuild for new boost 1.60.0

* Sat Sep 26 2015 daviddavid <daviddavid> 2.0-10.mga6.tainted
+ Revision: 883943
- rebuild for new boost 1.59.0

* Sun Aug 02 2015 daviddavid <daviddavid> 2.0-9.mga6.tainted
+ Revision: 860583
- rebuild for new boost-1.58.0

* Wed Oct 15 2014 umeabot <umeabot> 2.0-8.mga5.tainted
+ Revision: 739403
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.0-7.mga5.tainted
+ Revision: 727385
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.0-6.mga5.tainted
+ Revision: 682701
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Wed Jun 04 2014 akien <akien> 2.0-5.mga5.tainted
+ Revision: 633177
- Suggest the m64py Qt4 frontend

* Tue May 20 2014 akien <akien> 2.0-4.mga5.tainted
+ Revision: 624559
- Add warning about this being a tainted package
- Do a proper libification of the package
- Add an OpenSUSE patch to use system-wide DejaVu font
- Improve description

* Mon May 19 2014 akien <akien> 2.0-3.mga5.tainted
+ Revision: 623693
- Rebuild for new boost

* Thu Oct 31 2013 tmb <tmb> 2.0-2.mga4.tainted
+ Revision: 548209
- Mageia 4 rebuild

* Thu Oct 10 2013 dams <dams> 2.0-1.mga4.tainted
+ Revision: 494543
- new version 2.0

* Mon Jun 03 2013 fwang <fwang> 1.5-5.mga4.tainted
+ Revision: 436021
- rebuild for new libpng

* Sat Jan 12 2013 umeabot <umeabot> 1.5-4.mga3.tainted
+ Revision: 360514
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 31 2011 dmorgan <dmorgan> 1.5-3.mga2.tainted
+ Revision: 160275
- imported package mupen64plus

